Skip to content

upsertQuoteLineAdditionalCharges

WRITE

Upsert quote line additional charges.

POST /api/v1/sales/upsertQuoteLineAdditionalCharges
curl -X POST '<your-host>/api/v1/sales/upsertQuoteLineAdditionalCharges' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "lineId": "string",
    "update": {}
  }'

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "lineId": {
      "type": "string"
    },
    "update": {
      "type": "object",
      "properties": {
        "additionalCharges": {
          "type": "object",
          "propertyNames": {
            "type": "string"
          },
          "additionalProperties": {
            "type": "object",
            "properties": {
              "description": {
                "type": "string"
              },
              "amounts": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {
                  "type": "number"
                }
              },
              "taxable": {
                "default": true,
                "type": "boolean"
              }
            },
            "required": [
              "description",
              "amounts"
            ]
          }
        }
      },
      "required": [
        "additionalCharges"
      ]
    }
  },
  "required": [
    "lineId",
    "update"
  ]
}